OGRE-Next: Ogre::CocoaContext Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::CocoaContext Class Reference

`#include <OgreOSXCocoaContext.h>`

Inheritance diagram for Ogre::CocoaContext:
[legend]

## Public Member Functions
| CocoaContext (NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)
virtual | ~CocoaContext ()
virtual GL3PlusContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | endCurrent ()
| This is called before another context is made current.
NSOpenGLContext * | getContext ()
| Grab the NSOpenGLContext if it exists.
NSOpenGLPixelFormat * | getPixelFormat ()
| Grab the NSOpenGLPixelFormat if it exists.
virtual void | setCurrent ()
| Enable the context.
Public Member Functions inherited from Ogre::GL3PlusContext
| GL3PlusContext ()
virtual | ~GL3PlusContext ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()

## Constructor & Destructor Documentation

## ◆ CocoaContext()

Ogre::CocoaContext::CocoaContext | ( | NSOpenGLContext * | context,
|  | NSOpenGLPixelFormat * | pixelFormat )

## ◆ ~CocoaContext()

virtual Ogre::CocoaContext::~CocoaContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

virtual GL3PlusContext * Ogre::CocoaContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

References Ogre::GL3PlusContext::GL3PlusContext().

## ◆ endCurrent()

virtual void Ogre::CocoaContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ getContext()

NSOpenGLContext * Ogre::CocoaContext::getContext | ( |  | ) |

Grab the NSOpenGLContext if it exists.

## ◆ getPixelFormat()

NSOpenGLPixelFormat * Ogre::CocoaContext::getPixelFormat | ( |  | ) |

Grab the NSOpenGLPixelFormat if it exists.

## ◆ setCurrent()

virtual void Ogre::CocoaContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

The documentation for this class was generated from the following file:

- OgreOSXCocoaContext.h